<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSyncedPlayerStats Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/da6/class_expansion_synced_player_stats.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSyncedPlayerStats Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class handles the sycronised player stats values.  
 <a href="../../d5/da6/class_expansion_synced_player_stats.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a6d9813824f447269d8491c1f1a6cd6f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a6d9813824f447269d8491c1f1a6cd6f9">OnSend</a> (ParamsWriteContext ctx, bool includeRegisteredStats=false, bool includeBaseStats=true)</td></tr>
<tr class="separator:a6d9813824f447269d8491c1f1a6cd6f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1b1f621ee7659cd6074838a7fb7195d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#ac1b1f621ee7659cd6074838a7fb7195d">OnRecieve</a> (ParamsReadContext ctx, bool includeRegisteredStats=false, bool includeBaseStats=true)</td></tr>
<tr class="separator:ac1b1f621ee7659cd6074838a7fb7195d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fa6dd9b6dff8994771b40019d8a4f72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a0fa6dd9b6dff8994771b40019d8a4f72">Acquire</a> (<a class="el" href="../../d4/dc0/playerbase_8c.html#aae9be6814641164b753f18f7cf37075d">PlayerBase</a> player)</td></tr>
<tr class="separator:a0fa6dd9b6dff8994771b40019d8a4f72"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af1bdf892773fe32beec0cc4c81168651"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#af1bdf892773fe32beec0cc4c81168651">m_PlainID</a></td></tr>
<tr class="memdesc:af1bdf892773fe32beec0cc4c81168651"><td class="mdescLeft">&#160;</td><td class="mdescRight">ID not synched in 'OnSend', applied in 'RPC_SendPlayerStats'.  <a href="../../d5/da6/class_expansion_synced_player_stats.html#af1bdf892773fe32beec0cc4c81168651">More...</a><br /></td></tr>
<tr class="separator:af1bdf892773fe32beec0cc4c81168651"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afeda392525a5dd89e7c01dc18202b48a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#afeda392525a5dd89e7c01dc18202b48a">m_HasBaseStats</a></td></tr>
<tr class="separator:afeda392525a5dd89e7c01dc18202b48a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a47afe18588cf04099939866f667ac8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a3a47afe18588cf04099939866f667ac8">m_Health</a></td></tr>
<tr class="separator:a3a47afe18588cf04099939866f667ac8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a386ac5c35fc67a66b02890cafefa9a0d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a386ac5c35fc67a66b02890cafefa9a0d">m_Blood</a></td></tr>
<tr class="separator:a386ac5c35fc67a66b02890cafefa9a0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120b97f5f91be2878ac47c34c0ec4cd8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a120b97f5f91be2878ac47c34c0ec4cd8">m_Water</a></td></tr>
<tr class="separator:a120b97f5f91be2878ac47c34c0ec4cd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a129670989b6a5ec8b1c0e4d1b7b15a68"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a129670989b6a5ec8b1c0e4d1b7b15a68">m_Energy</a></td></tr>
<tr class="separator:a129670989b6a5ec8b1c0e4d1b7b15a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12b7ca9d34af4572b7a8ef53eec449a2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a12b7ca9d34af4572b7a8ef53eec449a2">m_Stamina</a></td></tr>
<tr class="separator:a12b7ca9d34af4572b7a8ef53eec449a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d08f3e93f2febebe6c6f7d3e6a71de1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a3d08f3e93f2febebe6c6f7d3e6a71de1">m_HasRegisteredStats</a></td></tr>
<tr class="separator:a3d08f3e93f2febebe6c6f7d3e6a71de1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec7e4350a9cabbe2b98223e3a778212e"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#aec7e4350a9cabbe2b98223e3a778212e">m_Distance</a></td></tr>
<tr class="separator:aec7e4350a9cabbe2b98223e3a778212e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0f1de93577939499c55019e8bb9efe8"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#ac0f1de93577939499c55019e8bb9efe8">m_Playtime</a></td></tr>
<tr class="separator:ac0f1de93577939499c55019e8bb9efe8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a49cfa8d3a7c66c0b9aa0e9f023c5cb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a3a49cfa8d3a7c66c0b9aa0e9f023c5cb">m_PlayersKilled</a></td></tr>
<tr class="separator:a3a49cfa8d3a7c66c0b9aa0e9f023c5cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa71c542beac9afbab20246273c62ec8f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#aa71c542beac9afbab20246273c62ec8f">m_InfectedKilled</a></td></tr>
<tr class="separator:aa71c542beac9afbab20246273c62ec8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4748e79098c2eb31f48a6b44bca72e6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#af4748e79098c2eb31f48a6b44bca72e6">m_AnimalsKilled</a></td></tr>
<tr class="separator:af4748e79098c2eb31f48a6b44bca72e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76446f08845e7e6e7ad723dd43858347"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#a76446f08845e7e6e7ad723dd43858347">m_LongestShot</a></td></tr>
<tr class="separator:a76446f08845e7e6e7ad723dd43858347"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1b157515d9af81bc5cf07a1c64785cd"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html#ab1b157515d9af81bc5cf07a1c64785cd">m_Weight</a></td></tr>
<tr class="separator:ab1b157515d9af81bc5cf07a1c64785cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >This class handles the sycronised player stats values. </p>
<p ><a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c.html">ExpansionSyncedPlayerStats.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00091">91</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a0fa6dd9b6dff8994771b40019d8a4f72" name="a0fa6dd9b6dff8994771b40019d8a4f72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fa6dd9b6dff8994771b40019d8a4f72">&#9670;&#160;</a></span>Acquire()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSyncedPlayerStats::Acquire </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc0/playerbase_8c.html#aae9be6814641164b753f18f7cf37075d">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00186">186</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="ac1b1f621ee7659cd6074838a7fb7195d" name="ac1b1f621ee7659cd6074838a7fb7195d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1b1f621ee7659cd6074838a7fb7195d">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSyncedPlayerStats::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>includeRegisteredStats</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>includeBaseStats</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00138">138</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a6d9813824f447269d8491c1f1a6cd6f9" name="a6d9813824f447269d8491c1f1a6cd6f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d9813824f447269d8491c1f1a6cd6f9">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSyncedPlayerStats::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>includeRegisteredStats</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>includeBaseStats</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00116">116</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af4748e79098c2eb31f48a6b44bca72e6" name="af4748e79098c2eb31f48a6b44bca72e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4748e79098c2eb31f48a6b44bca72e6">&#9670;&#160;</a></span>m_AnimalsKilled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSyncedPlayerStats::m_AnimalsKilled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00110">110</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a386ac5c35fc67a66b02890cafefa9a0d" name="a386ac5c35fc67a66b02890cafefa9a0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a386ac5c35fc67a66b02890cafefa9a0d">&#9670;&#160;</a></span>m_Blood</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSyncedPlayerStats::m_Blood</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00098">98</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="aec7e4350a9cabbe2b98223e3a778212e" name="aec7e4350a9cabbe2b98223e3a778212e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec7e4350a9cabbe2b98223e3a778212e">&#9670;&#160;</a></span>m_Distance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionSyncedPlayerStats::m_Distance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00106">106</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a129670989b6a5ec8b1c0e4d1b7b15a68" name="a129670989b6a5ec8b1c0e4d1b7b15a68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a129670989b6a5ec8b1c0e4d1b7b15a68">&#9670;&#160;</a></span>m_Energy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSyncedPlayerStats::m_Energy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00100">100</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="afeda392525a5dd89e7c01dc18202b48a" name="afeda392525a5dd89e7c01dc18202b48a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afeda392525a5dd89e7c01dc18202b48a">&#9670;&#160;</a></span>m_HasBaseStats</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSyncedPlayerStats::m_HasBaseStats</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00096">96</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a3d08f3e93f2febebe6c6f7d3e6a71de1" name="a3d08f3e93f2febebe6c6f7d3e6a71de1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d08f3e93f2febebe6c6f7d3e6a71de1">&#9670;&#160;</a></span>m_HasRegisteredStats</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSyncedPlayerStats::m_HasRegisteredStats</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00105">105</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a3a47afe18588cf04099939866f667ac8" name="a3a47afe18588cf04099939866f667ac8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a47afe18588cf04099939866f667ac8">&#9670;&#160;</a></span>m_Health</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSyncedPlayerStats::m_Health</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00097">97</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="aa71c542beac9afbab20246273c62ec8f" name="aa71c542beac9afbab20246273c62ec8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa71c542beac9afbab20246273c62ec8f">&#9670;&#160;</a></span>m_InfectedKilled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSyncedPlayerStats::m_InfectedKilled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00109">109</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a76446f08845e7e6e7ad723dd43858347" name="a76446f08845e7e6e7ad723dd43858347"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76446f08845e7e6e7ad723dd43858347">&#9670;&#160;</a></span>m_LongestShot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionSyncedPlayerStats::m_LongestShot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00111">111</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="af1bdf892773fe32beec0cc4c81168651" name="af1bdf892773fe32beec0cc4c81168651"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1bdf892773fe32beec0cc4c81168651">&#9670;&#160;</a></span>m_PlainID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionSyncedPlayerStats::m_PlainID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ID not synched in 'OnSend', applied in 'RPC_SendPlayerStats'. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00094">94</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a3a49cfa8d3a7c66c0b9aa0e9f023c5cb" name="a3a49cfa8d3a7c66c0b9aa0e9f023c5cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a49cfa8d3a7c66c0b9aa0e9f023c5cb">&#9670;&#160;</a></span>m_PlayersKilled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSyncedPlayerStats::m_PlayersKilled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00108">108</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="ac0f1de93577939499c55019e8bb9efe8" name="ac0f1de93577939499c55019e8bb9efe8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0f1de93577939499c55019e8bb9efe8">&#9670;&#160;</a></span>m_Playtime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionSyncedPlayerStats::m_Playtime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00107">107</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a12b7ca9d34af4572b7a8ef53eec449a2" name="a12b7ca9d34af4572b7a8ef53eec449a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12b7ca9d34af4572b7a8ef53eec449a2">&#9670;&#160;</a></span>m_Stamina</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSyncedPlayerStats::m_Stamina</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>not synced for client player (can get synced values from StaminaHandler) </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00103">103</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="a120b97f5f91be2878ac47c34c0ec4cd8" name="a120b97f5f91be2878ac47c34c0ec4cd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a120b97f5f91be2878ac47c34c0ec4cd8">&#9670;&#160;</a></span>m_Water</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSyncedPlayerStats::m_Water</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00099">99</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<a id="ab1b157515d9af81bc5cf07a1c64785cd" name="ab1b157515d9af81bc5cf07a1c64785cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1b157515d9af81bc5cf07a1c64785cd">&#9670;&#160;</a></span>m_Weight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionSyncedPlayerStats::m_Weight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>not synced (can calculate on client) </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html#l00114">114</a> of file <a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/systems/monitor/<a class="el" href="../../dd/dcb/expansionsyncedplayerstats_8c_source.html">expansionsyncedplayerstats.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/da6/class_expansion_synced_player_stats.html">ExpansionSyncedPlayerStats</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
